.rui-tab-separator {
  width: var(--spacer-default);

  ~.rui-button:not(:last-child) {
    box-shadow:
      inset 1px  0   0 0 var(--border-color),
      inset 0    1px 0 0 var(--border-color),
      inset -1px 0   0 0 var(--border-color);

    &:focus {
      box-shadow:
        inset 1px  0   0 0 var(--border-color),
        inset 0    3px 0 0 var(--primary-color),
        inset -1px 0   0 0 var(--border-color);
    }
  }

  &--spring {
    flex-grow: 1;
  }
}
